import { CommentsPanelOptions, ICommentsFeatureRegistry, PanelTreeNodeHandler, FileUploadHandler, MentionsOptions, ZoneWidgerRender, ICommentsConfig, ICommentProviderFeature } from '../common';
export declare class CommentsFeatureRegistry implements ICommentsFeatureRegistry {
    private config;
    private options;
    private panelTreeNodeHandlers;
    private fileUploadHandler;
    private mentionsOptions;
    private zoneWidgetRender;
    private providerFeature;
    registerConfig(config: ICommentsConfig): void;
    registerPanelTreeNodeHandler(handler: PanelTreeNodeHandler): void;
    registerPanelOptions(options: CommentsPanelOptions): void;
    registerFileUploadHandler(handler: FileUploadHandler): void;
    registerMentionsOptions(options: MentionsOptions): void;
    registerZoneWidgetRender(render: ZoneWidgerRender): void;
    getConfig(): ICommentsConfig;
    getCommentsPanelOptions(): CommentsPanelOptions;
    getCommentsPanelTreeNodeHandlers(): PanelTreeNodeHandler[];
    getFileUploadHandler(): FileUploadHandler;
    getMentionsOptions(): MentionsOptions;
    getZoneWidgetRender(): ZoneWidgerRender | undefined;
    registerProviderFeature(providerId: string, feature: ICommentProviderFeature): void;
    getProviderFeature(providerId: string): ICommentProviderFeature | undefined;
}
//# sourceMappingURL=comments-feature.registry.d.ts.map