import React from 'react';
import { TreeNode, CompositeTreeNode } from '@opensumi/ide-components';
import { URI } from '@opensumi/ide-core-common';
import { ICommentAuthorInformation, ICommentsService, ICommentsThread } from '../../common/index';
export declare class CommentRoot extends CompositeTreeNode {
    static is(node: CommentFileNode | CommentRoot): node is CommentRoot;
    constructor(tree: ICommentsService);
    get expanded(): boolean;
}
export declare class CommentFileNode extends CompositeTreeNode {
    threads: ICommentsThread[];
    tooltip: string;
    icon: string;
    resource: URI;
    static is(node: any): node is CommentFileNode;
    private _renderedLabel;
    private _renderedDescription;
    private _onSelectHandler;
    constructor(tree: ICommentsService, threads: ICommentsThread[], description: string | undefined, tooltip: string, icon: string, resource: URI, parent: CommentRoot);
    set label(value: any);
    set description(value: any);
    get renderedLabel(): React.ReactNode;
    get renderedDescription(): React.ReactNode;
    set onSelect(handler: (node?: CommentFileNode) => void);
    get onSelect(): (node?: CommentFileNode) => void;
}
export declare class CommentContentNode extends CompositeTreeNode {
    thread: ICommentsThread;
    comment: string;
    icon: string;
    author: ICommentAuthorInformation;
    resource: URI;
    static is(node: any): node is CommentContentNode;
    private _renderedLabel;
    private _renderedDescription;
    private _isAllowToggle;
    private _onSelectHandler;
    constructor(tree: ICommentsService, thread: ICommentsThread, comment: string, description: string | undefined, icon: string, author: ICommentAuthorInformation, resource: URI, parent: CommentFileNode | undefined);
    get isAllowToggle(): boolean;
    setIsAllowToggle(v: boolean): void;
    set label(value: string | React.ReactNode);
    set description(value: string | React.ReactNode);
    get renderedLabel(): React.ReactNode;
    get renderedDescription(): React.ReactNode;
    set onSelect(handler: (node?: CommentContentNode) => void);
    get onSelect(): (node?: CommentContentNode) => void;
}
export declare class CommentReplyNode extends TreeNode {
    thread: ICommentsThread;
    icon: string;
    resource: URI;
    private _renderedLabel;
    private _renderedDescription;
    private _onSelectHandler;
    constructor(tree: ICommentsService, thread: ICommentsThread, label: string, description: string | undefined, icon: string, resource: URI, parent: CommentContentNode | undefined);
    set label(value: any);
    set description(value: any);
    get renderedLabel(): React.ReactNode;
    get renderedDescription(): React.ReactNode;
    set onSelect(handler: (node?: CommentReplyNode) => void);
    get onSelect(): (node?: CommentReplyNode) => void;
}
//# sourceMappingURL=tree-node.defined.d.ts.map